Jump to content
The simFlight Network Forums
Adamski

FSC 9.75 and PCAviator (answered)

Recommended Posts

Hi! I'm trying to update my FSC to 9.75 - but my only option for downloading at PCAviator is for v10 - which I can't use as I'm on P3Dv4.3.

Should I be contacting PCAviator - or can I download it from somewhere else?

Many thanks,

Adam.

 

Share this post


Link to post
Share on other sites

Hello Adam,

As a PCAviator customer you are using an Aerosoft version of the FlightSim Commander.
Please read first here: https://forum.simflight.com/topic/85148-flightsim-commander-and-et-und-vatsim-part-2-update/
Use your Aerosoft account to download the new FlightSim Commander version.
If you do not have an Aerosoft account, create one.
Use this link https://support.aerosoft.com/pages/login and register your PC Aviator version.
Follow the description.

Regards,

Volker

 

Share this post


Link to post
Share on other sites

Thanks, Volker. I hadn't set the "Follow" option, so missed your post (above). Now rectified.

I've managed to add FSC to the new Aerosoft database site (no problem there) ... but the D/L link is still 9.7.0.

I'm sorry, but I'm a little confused (easily done at my age!!) ... is 9.75 available for P3Dv4 - or is my current 9.7.0 the only/latest version that is able to work with P3Dv4 (for legal reasons)?

Thanks for all your help!

Adam.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×

Important Information

By using this site, you agree to our Terms of Use. Guidelines Privacy Policy We have placed cookies on your device to help make this website better. You can adjust your cookie settings, otherwise we'll assume you're okay to continue.